Should I use 1.1.3?

Discussion in 'Other Flashing Hardware & Software' started by DirtySyko, Apr 20, 2008.

  1. DirtySyko
    OP

    DirtySyko Newbie

    Newcomer
    5
    0
    Apr 20, 2008
    United States
    For the time being I am stuck using my DS-X. I would like to buy a nice, new R4, but I can't afford it at the moment. Posting on the DS-X forums are pointless, so I came here.

    There are some games I am wanting to play, but they have save issues and I don't want to get too involved in the game and lose all of my data. Ninja Gaiden I played recently and lost about half of my progress, and I didn't even bother to get too far into Pokemon Diamond or Pearl for fear of corruption. I am just wanting to know, has the 1.1.3 update fixed these save issues? I'm weary of updating my firmware because of all the bricking stories, so I've just been using the Arm7 fix and playing what I can. Problem is, I really want to start playing Pokemon, and to finish Ninja Gaiden, but the saved data just gets corrupted.

    So, has this firmware fixed the problem, or is there another solution to protect my saved data? From what I understand, even if you back up your data for pokemon, it won't matter, because it will read it from the EEPROM, and if it becomes corrupt and you try to load your backed up data, it still says it's corrupted. Correct me if I'm wrong, I don't fully understand how it works.
     
  2. pbolmstedt

    pbolmstedt GBAtemp Regular

    Member
    160
    0
    Nov 13, 2006
    The whole point of 1.1.3b is that is fixes game/save compatibility issues, so you should definitely use 1.1.3b.
    The wiki doesn't lie: http://wiki.scorpei.com/index.php/DSX_compatibility_list
    If you find stuff that doesn't work with 1.1.3b, please update the wiki. (And if you can, test with 1.1.2 as well.)
    (Unfortunately, from the Wiki it looks like 2189 still has save problems with 1.1.3.)
     
  3. DirtySyko
    OP

    DirtySyko Newbie

    Newcomer
    5
    0
    Apr 20, 2008
    United States
    Pokemon Diamond and Pearl don't show that they've been tested with 1.1.3. It says 1.1.2 and 1.1.1, so I wasn't sure if the issues with them had been fixed.
     
  4. NeSchn

    NeSchn GBAPimpdaddy.

    Member
    3,539
    27
    Oct 4, 2007
    United States
    Troy,New York PimpStatus: King
    Sorry im off topic but why get an R4? They are basically dead, don't make the same mistake that you did (and I did) with the DS-X, get yourself something with quality. Get a Cyclo Ds, DSTT, or an AceKard 2.
     
  5. Minox

    Minox I did it

    Supervisor
    6,111
    2,964
    Aug 27, 2007
    Sweden
    Scds1 Sdhc is better than DSTT since it can run Ysmenu, DSTT OS and the Official Scds1 OS through a hacked loader. CycloDS Evo and Acekard 2 are good too [​IMG]
     
  6. selamat.tingal

    selamat.tingal Member

    Newcomer
    33
    0
    Nov 22, 2007
    United States
    So... this place's been very quiet... anyone had any bad experience with 1.1.3? Should I update my son's cartridge with it? Thanks.
     
  7. diffa1uk

    diffa1uk Newbie

    Newcomer
    2
    0
    Jun 13, 2008
    hi can anyone be off any help the problem is i have a ds fire link card and the version it says is stable 2.54 . the problem i am having is that some games do not load up and displays a white image on both screens so i am asking is it possible that i can upgrade the card with some new software can you please help many thanks diffa
     
  8. pbolmstedt

    pbolmstedt GBAtemp Regular

    Member
    160
    0
    Nov 13, 2006
    I'm sure the Fire Link is Xtremely cool, but it's no DS Xtreme!
     
  9. diffa1uk

    diffa1uk Newbie

    Newcomer
    2
    0
    Jun 13, 2008
    ok thanks for that pbolmstedt new to this site and didnt know where to post the link regards diffa . ps if you know where i can update my card can you let me know in here many thanks .... [​IMG]
     
  10. pbolmstedt

    pbolmstedt GBAtemp Regular

    Member
    160
    0
    Nov 13, 2006
    Yeah!
     
  11. ojsinnerz.

    ojsinnerz. Damned

    Member
    3,152
    7
    Oct 27, 2007
    Canada
    Canada
    Well, it fixes some small game comp., I hear.



    But still, you should get a new cart. 1.1.3 is the last update coming from the DS-X team.
     
  12. p1ngpong

    p1ngpong Unamused frog

    Former Staff
    6,450
    10,400
    Apr 18, 2008
    Croatia
    DS Scene
    I still have faith team DSX wont let us down! [​IMG]
     
  13. MrSpud

    MrSpud GBAtemp Regular

    Member
    166
    0
    Jan 4, 2008
    Canada
    Barrie,Ontario,Canada
    And I still have faith that P1ngpong will keep on trolling [​IMG]

    1.1.3b only fixes the arm7 problem, so you don't have to patch your roms anymore. It also resolve a few problems with disapearing savegames, like for Pokemon. And that's it! There is no problem with 1.1.3b, but it won't let you play certain games like Summon night, it doesn't work with 1.1.2 or 1.1.3b. Maybe the team is working on these problems? Will they let us down? [​IMG]
     
  14. Shuny

    Shuny I'm in yr forum, reading yr postz

    Member
    1,019
    54
    Nov 15, 2006
    France
    Somewhere in the world
    *laugh*
     
  15. NeSchn

    NeSchn GBAPimpdaddy.

    Member
    3,539
    27
    Oct 4, 2007
    United States
    Troy,New York PimpStatus: King
    Most likely.
     
  16. gizmo_gal

    gizmo_gal QWEEN of the RadioActive Force!!!

    Member
    1,171
    0
    Apr 10, 2008
    United States
    1st dimension, Earth
    Uhh...a nice new R4? I hate to watch Fangirls and boys labor under the delusion that R4's are the cure all for all their DS woes. Check out DealExtreme, every card the sell under 40bucks is more worth your time and money than an R4.

    (Are they even still making R4's?--the authentic ones? I keep reading various arguments on this matter and while I've never checked up on it for myself, I have noticed a distinct lack of R4's in various shops online.)